Bug 388251 - nxagent missing ; unable to connect to server
nxagent missing ; unable to connect to server
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nx (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 06:32 EST by Nadav Kavalerchik
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 13:17:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nadav Kavalerchik 2007-11-17 06:32:24 EST
Description of problem:
after upgrading to latest nx rpm on fc6 i couldn't connect to nx server
looking throw the logs i found out that nxagent was missing from where nxnode
was lookin for it, so i found it and linked to it.

terminal's output:
/usr/libexec/nx/nxnode --agent
strings: '/usr/libexec/nx/nxagent': No such file
NX> 1000 NXNODE - Version 1.5.0-70 OS (GPL)
NX> 716 Starting NX Agent ...
/usr/libexec/nx/nxnode: line 1306: /usr/libexec/nx/nxagent: No such file or dire
               ctory
NX> 716 NX Agent exited with status: 127
NX> 1001 Bye.

[root@server ~]#
[root@server ~]# locate nxagent
/usr/bin/nxagent
/usr/lib/NX/nxagent
/usr/share/doc/nx-2.1.0/nxscripts/run-nxagent
/usr/share/doc/nx-2.1.0/nxscripts/run-nxagent-client
/usr/share/doc/nx-2.1.0/nxscripts/run-nxagent-full
/usr/share/doc/nx-2.1.0/nxscripts/run-nxagent-nxfs
/usr/share/doc/nx-2.1.0/nxscripts/run-nxagent-server
/usr/share/doc/nx-2.1.0/nxscripts/run-nxagent-solaris
/usr/share/doc/nx-2.1.0/nxscripts/tar-nxagent
/usr/share/doc/nx-2.1.0/samples/run-nxagent-client
/usr/share/doc/nx-2.1.0/samples/run-nxagent-server
[root@server ~]# ls -l /usr/bin/nxagent
-rwxr-xr-x 1 root root 132 Sep 29  2006 /usr/bin/nxagent
[root@server ~]# ln /usr/bin/nxagent /usr/libexec/nx/
[root@server ~]# /usr/libexec/nx/nxnode --agent
NX> 1000 NXNODE - Version 1.5.0-70 OS (GPL)
NX> 716 Starting NX Agent ...

Fatal server error:
Server is already active for display 0
        If this server is no longer running, remove /tmp/.X0-lock
        and start again.

NX> 716 NX Agent exited with status: 1
NX> 1001 Bye.

-- end of terminal output --
(ignore the server running error/warning . it works !)

Version-Release number of selected component (if applicable):
2.1.0 22.fc6

so just make sure nxagent is in the right place
(i think)

kindly,
nadav :-)
Comment 1 Axel Thimm 2007-11-29 13:17:46 EST
The paths you mention like /usr/lib/NX/nxagent are not from the package.
Furthermore I checked that /usr/libexec/nx/nxagent is part of FC6's package
which is half a year old.

So most probably your issues come from a mixed installation (e.g. using packages
and nxsetup or something similar). I suggest to stick to one method, either just
the package and configuring it, or no package bits at all and using the manual
installation.
Comment 2 Nadav Kavalerchik 2007-11-29 13:30:20 EST
yes :-( i did a mix installation (as suggested by some site, long time ago)
i guess i should stick with packages-only-installation in the future. when i
upgrade to fc8 :-)

thank you for your time :-)

Note You need to log in before you can comment on or make changes to this bug.